MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable MonoMac.ObjCRuntime.Since(3, 2) Represents a CoreText Font.

CoreText does not synthesize font styles (italic and bold). This means that if you pick a font that has neither a Bolded or Italicized versions available, CoreText will not create a dynamic font that is merely a slanted version of the font for italic, or a boldened version from the original font. In those cases, if you want to synthesize the font, you could apply a Matrix transformation to slant the font (it will still be wrong, but will look slanted). For bolding, you could stroke the font twice, or manually extend the glyph path.

SimpleTextInput
- Constructor
  0.0.0.0
  Font descriptor to use to create the font.
  The desired font size. If you specify zero, it will use the system default.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  The name of the font. Use PostScript names (for example "HelveticaNeue").
  The desired font size. If you specify zero, it will use the system default.
  To be added.

  Although currently iOS this allows the "name" parameter to use aliases to the font, in addition to the Postscript name, use of non-Postscript names for this parameter has been deprecated, due to the slow and expensive fallback scan.

  If you want to create fonts from other names (like the fullname "Helvetica Neue" instead of the PostScript name "HelveticaNeue") you can use .

- Constructor
  0.0.0.0
  To be added.
  The desired font size. If you specify zero, it will use the system default.
  Transformation matrix for the font, if null, it uses the identity matrix.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  The CoreGraphics CGFont.
  The desired font size. If you specify zero, it will use the system default.
  Font descriptor to use to create the font.
  Creates a CTFont from a CoreGraphics CGFont.
  To be added.
- Constructor
  0.0.0.0
  Font descriptor to use to create the font.
  The desired font size. If you specify zero, it will use the system default.
  Transformation matrix for the font, if null, it uses the identity matrix.
  Creates a CTFont from a CTFontDescriptor.
- Constructor
  0.0.0.0
  Font descriptor to use to create the font.
  The desired font size. If you specify zero, it will use the system default.
  Configuration options for the font creation.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  The desired font size. If you specify zero, it will use the system default.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  The name of the font. Use PostScript names (for example "HelveticaNeue").
  The desired font size. If you specify zero, it will use the system default.
  Transformation matrix for the font, if null, it uses the identity matrix.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  The name of the font. Use PostScript names (for example "HelveticaNeue").
  The desired font size. If you specify zero, it will use the system default.
  Configuration options for the font creation.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  The desired font size. If you specify zero, it will use the system default.
  Transformation matrix for the font, if null, it uses the identity matrix.
  Font descriptor to use to create the font.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  Font descriptor to use to create the font.
  The desired font size. If you specify zero, it will use the system default.
  Configuration options for the font creation.
  Transformation matrix for the font, if null, it uses the identity matrix.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  The name of the font. Use PostScript names (for example "HelveticaNeue").
  The desired font size. If you specify zero, it will use the system default.
  Transformation matrix for the font, if null, it uses the identity matrix.
  Configuration options for the font creation.
  To be added.
  To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSCharacterSet To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the CTFont object.

  The Dispose method releases the resources used by the CTFont class.

  Calling the Dispose method when you are finished using the CTFont ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CTFont object.

  This Dispose method releases the resources used by the CTFont class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CTFont ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 2)
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Finalizer for the CTFont object
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Double `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Double `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontTable[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Drawing.RectangleF `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  MonoMac.CoreText.CTFontDescriptor[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontFeatures[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontFeatureSettings[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.UInt16 `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 2)
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  System.Drawing.RectangleF `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGPath `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGPath `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontTraits To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontVariation To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontVariationAxes[] To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform The transformation matrix used when this font was created.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single The font size. This is the size that was used when the font was constructed.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.UInt32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGFont To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGFont `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.UInt32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` The desired font size. If you specify zero, it will use the system default. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` `` The desired font size. If you specify zero, it will use the system default. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` The desired font size. If you specify zero, it will use the system default. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` `` The desired font size. If you specify zero, it will use the system default. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` `` The desired font size. If you specify zero, it will use the system default. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFont `` `` `` `` The desired font size. If you specify zero, it will use the system default. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.